=== tests/safe_strerror/CMakeLists.txt ===
add_executable(safe_strerror_test safe_strerror_test.cpp)
qt5_use_modules(safe_strerror_test Network)
target_link_libraries(safe_strerror_test thumbnailer-static Qt5::Network gtest gtest_main)
add_test(safe_strerror safe_strerror_test)
