=== debian/changelog ===
lomiri-thumbnailer (3.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 1003_ignore-more-media-formats-during-copyright-check.patch. Also
      ignore .mp4 and .spx files during copyright test. (Closes: #1002908).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Jan 2022 16:19:40 +0100

lomiri-thumbnailer (3.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1000591).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Nov 2021 11:18:30 +0100
