=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-thumbnailer/tags .*/lomiri-thumbnailer-(\d\S+)\.tar\.gz
