## lomiri-thumbnailer 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 cmake_minimum_required(VERSION 3.0.2)
-project(lomiri-thumbnailer VERSION "3.0.0" LANGUAGES C CXX)
+project(lomiri-thumbnailer VERSION "3.0.1" LANGUAGES C CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -139,8 +139,8 @@
 
 include(cmake/UseGSettings.cmake)
 
-set(SHARE_PRIV_DIR ${CMAKE_INSTALL_LIBDIR}/lomiri-thumbnailer)
-set(SHARE_PRIV_ABS ${CMAKE_INSTALL_FULL_LIBDIR}/lomiri-thumbnailer)
+set(SHARE_PRIV_DIR ${CMAKE_INSTALL_LIBEXECDIR}/lomiri-thumbnailer)
+set(SHARE_PRIV_ABS ${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-thumbnailer)
 
 find_package(Boost COMPONENTS filesystem iostreams regex system REQUIRED)
 find_package(Threads REQUIRED)
