=== tests/liblomiri-thumbnailer-qt/CMakeLists.txt ===
add_executable(liblomiri-thumbnailer-qt_test liblomiri-thumbnailer-qt_test.cpp)
set_target_properties(liblomiri-thumbnailer-qt_test PROPERTIES AUTOMOC TRUE)

qt5_use_modules(liblomiri-thumbnailer-qt_test DBus Gui Test Network)
target_link_libraries(liblomiri-thumbnailer-qt_test
    lomiri-thumbnailer-qt
    Qt5::DBus
    Qt5::Gui
    Qt5::Test
    gtest
    testutils
    ${GST_DEPS_LDFLAGS}
)
add_test(liblomiri-thumbnailer-qt liblomiri-thumbnailer-qt_test)
add_dependencies(liblomiri-thumbnailer-qt_test lomiri-thumbnailer-qt)
list(APPEND UNIT_TEST_TARGETS "liblomiri-thumbnailer-qt_test")

set(UNIT_TEST_TARGETS ${UNIT_TEST_TARGETS} PARENT_SCOPE)
