=== debian/changelog ===
lomiri-thumbnailer (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patch 0001, 0002, 0003, 1001, 1002, 1003 and 1200. All
      applied/addressed upstream.
    + Add 2001_ignore-more-file-types-in-copyright-check.patch. Fix
      check_copyright.sh when building for Debian
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/rules:
    + (Re-)add get-orig-source target.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 17:03:53 +0100

lomiri-thumbnailer (3.0.0-5) unstable; urgency=medium

  * Team upload.

  * [26e53e6] Disable qml test on mips64el.

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Oct 2022 06:17:23 +0200

lomiri-thumbnailer (3.0.0-4) unstable; urgency=medium

  * Team upload.

  * [6458a51] Disable qml and dbus tests on some archs

 -- Anton Gladky <gladk@debian.org>  Tue, 04 Oct 2022 06:37:50 +0200

lomiri-thumbnailer (3.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Mike Gabriel ]
  * [6844c1a] debian/: Update upstream Git repo URL.

  [ Anton Gladky ]
  * [3ddd3ad] Add debian/.gitlab-ci.yml
  * [451c874] Add missing header. (Closes: #1012993)
  * [c7fcd40] Set Standards-Versions to 4.6.1
  * [b8a5ab7] Set upstream metadata fields: Repository.
  * [fb984f7] Remove unnecessary get-orig-source-target.

 -- Anton Gladky <gladk@debian.org>  Sun, 02 Oct 2022 23:50:06 +0200
