=== debian/control ===
--- 
+++ 
@@ -39,9 +39,9 @@
                xvfb,
                doxygen,
                pkg-kde-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/core/lomiri-thumbnailer
+Homepage: https://gitlab.com/ubports/development/core/lomiri-thumbnailer
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-thumbnailer/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-thumbnailer.git
