=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-thumbnailer/tags .*/lomiri-thumbnailer-(\d\S+)\.tar\.gz
