## lomiri-thumbnailer 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 cmake_minimum_required(VERSION 3.0.2)
-project(lomiri-thumbnailer VERSION "3.0.1" LANGUAGES C CXX)
+project(lomiri-thumbnailer VERSION "3.0.2" LANGUAGES C CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
