=== debian/changelog ===
lomiri-thumbnailer (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * d/patches:
    + Fix test failures against boost1.83.
      3000_fix_boost183.patch (Closes: #1059174)
    + 1001_rename_apport_directory.patch
      Rename /etc/apport/blacklist.d to /etc/apport/report-ignore.
      (Closes: #1031508)

 -- Anton Gladky <gladk@debian.org>  Thu, 04 Jan 2024 20:44:11 +0100

lomiri-thumbnailer (3.0.2-3~exp1) experimental; urgency=medium

  * Team upload.
  * Fix check for missing file.

 -- Anton Gladky <gladk@debian.org>  Thu, 04 Jan 2024 19:47:20 +0100

lomiri-thumbnailer (3.0.2-2) unstable; urgency=medium

  * debian/patches:
    + Update 2001_ignore-more-file-types-in-copyright-check.patch.
      Exclude upstream ChangeLog from checks in check_copyright.sh unit test.
  * debian/changelog:
    + White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 09:43:18 +0100

lomiri-thumbnailer (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/control: replace B-D libgdk-pixbuf2.0-dev with
    libgdk-pixbuf-2.0-dev (closes: #1037393)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 29 Oct 2023 00:21:52 +0200

lomiri-thumbnailer (3.0.1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * d/changelog: post-upload add missing item

  [ Marius Gripsgard ]
  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
    (closes: #1037764)
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 15:45:33 +0200
