=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 0.4),
                debhelper-compat (= 13),
@@ -12,11 +13,12 @@
                gstreamer1.0-plugins-bad-faad,
                gstreamer1.0-plugins-good,
                libapparmor-dev,
+               libboost-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
                libboost-regex-dev,
                libexif-dev,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtest-dev,
