## lomiri-thumbnailer 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
     set(LOCAL_INSTALL "ON")
 endif()
 
-cmake_minimum_required(VERSION 3.0.2)
-project(lomiri-thumbnailer VERSION "3.0.2" LANGUAGES C CXX)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-thumbnailer VERSION "3.0.3" LANGUAGES C CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
