=== tests/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 add_executable(dbus_test dbus_test.cpp)
-qt5_use_modules(dbus_test Network DBus Test)
 target_link_libraries(dbus_test
     thumbnailer-static
     testutils
