=== tests/file_lock/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 add_executable(file_lock_test file_lock_test.cpp)
-qt5_use_modules(file_lock_test Network)
 target_link_libraries(file_lock_test Qt5::Network thumbnailer-static gtest)
 add_test(file_lock file_lock_test)
