=== tests/slow-vs-thumb/CMakeLists.txt ===
add_executable(slow-vs-thumb_test
    slow-vs-thumb_test.cpp
)
target_link_libraries(slow-vs-thumb_test
    thumbnailer-static
    testutils
    Qt5::Network
    Qt5::Test
    gtest)
add_test(slow-vs-thumb slow-vs-thumb_test)
