=== debian/changelog ===
lomiri-thumbnailer (3.0.3-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:39:41 +0000

lomiri-thumbnailer (3.0.3-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:59:01 +0000

lomiri-thumbnailer (3.0.3-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:22 +0000

lomiri-thumbnailer (3.0.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:35:19 +0000

lomiri-thumbnailer (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 3000_fix_boost183.patch. Applied upstream.
    + Trivial rebase of 1300_disable_qml_and_dbus_tests.patch.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Bump versioned D: on persistent-cache-cpp-dev to 1.0.7-1~ (latest
      version).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 17:45:55 +0100
