=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-thumbnailer
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -29,7 +30,7 @@
                liblomiri-api-dev,
                licensecheck,
                lsb-release,
-               persistent-cache-cpp-dev (>= 1.0.5-2~),
+               persistent-cache-cpp-dev (>= 1.0.7-1~),
                python3-tornado <!nocheck>,
                qml-module-qtquick2,
                qml-module-qttest,
