## lomiri-thumbnailer 3.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 endif()
 
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-thumbnailer VERSION "3.0.3" LANGUAGES C CXX)
+project(lomiri-thumbnailer VERSION "3.0.4" LANGUAGES C CXX)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
@@ -23,7 +23,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -Wall -pedantic -Wextra -fvisibility=hidden")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++17 -Wall -pedantic -Wextra -fvisibility=hidden")
 
 # Some additional warnings not included by the general flags set above.
 set(EXTRA_C_WARNINGS "-Wcast-align -Wcast-qual -Wformat -Wredundant-decls -Wswitch-default")
@@ -133,7 +133,6 @@
 endif()
 
 include(CTest)
-enable_testing()
 
 #include(EnableCoverageReport)
 
@@ -176,7 +175,13 @@
 if (${ENABLE_UBUNTU_COMPAT})
     add_subdirectory(plugins/Ubuntu/Thumbnailer.0.1)
 endif()
-add_subdirectory(tests)
+if (${BUILD_TESTING})
+    find_package(Qt5Test REQUIRED)
+    find_package(Qt5QuickTest REQUIRED)
+    find_package(Qt5Network REQUIRED)
+
+    add_subdirectory(tests)
+endif()
 add_subdirectory(include)
 add_subdirectory(man)
 #add_subdirectory(doc)
