=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,6 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wno-old-style-cast -Wno-missing-field-initializers")
 find_package(GMock)
 set(CMAKE_CXX_FLAGS ${old_cxx_flags})
-
-find_package(Qt5Test REQUIRED)
-find_package(Qt5QuickTest REQUIRED)
-find_package(Qt5Network REQUIRED)
 
 set(TESTDATADIR ${CMAKE_CURRENT_SOURCE_DIR}/media)
