=== include/internal/CMakeLists.txt ===
configure_file(config.h.in config.h @ONLY)
configure_file(version.h.in version.h @ONLY)
