=== tests/check_access/CMakeLists.txt ===
add_executable(check_access_test check_access_test.cpp)
target_link_libraries(check_access_test thumbnailer-static Qt5::Network gtest)
add_test(check_access check_access_test)
