=== tests/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 add_executable(qml_test qml_test.cpp)
-qt5_use_modules(qml_test Qml DBus QuickTest Test)
 target_link_libraries(qml_test
     testutils
     Qt5::Qml
