=== tests/version/CMakeLists.txt ===
add_executable(version_test
    version_test.cpp
)
target_link_libraries(version_test
    Qt5::Test
    thumbnailer-static
    testutils
    gtest)
add_test(version version_test)
