=== include/lomiri/thumbnailer/CMakeLists.txt ===
add_subdirectory(qt)
