=== debian/changelog ===
lomiri-thumbnailer (3.0.4-2) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/patches:
    + Add 0004-Fix-taglib-2.x-compatibility.patch. Fix taglib 2.x compat.
      (Closes: #1092683).
  * debian/control:
    + Switch to libtag-dev in B-D: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jan 2025 08:20:53 +0100

lomiri-thumbnailer (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/patches:
    + Drop 0001_fix_googletest_1_13.patch and 2001_ignore-more-file-types-
      in-copyright-check.patch. Both applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 10:35:20 +0100
