=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-thumbnailer
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -26,7 +25,7 @@
                libleveldb-dev,
                libqtdbustest1-dev,
                librsvg2-common,
-               libtag1-dev,
+               libtag-dev,
                liblomiri-api-dev,
                licensecheck,
                lsb-release,
@@ -42,7 +41,7 @@
                xvfb,
                doxygen,
                pkg-kde-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-thumbnailer
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-thumbnailer/
